=== apps/kinfocenter/about/CMakeLists.txt ===
install( FILES main.html  	kinfocenter.css  DESTINATION  ${DATA_INSTALL_DIR}/kinfocenter/about )
