=== apps/doc/kinfocenter/interrupts/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kinfocenter/interrupts)
