=== apps/kappfinder/apps/Office/CMakeLists.txt ===
install( FILES Applix.desktop XAcc.desktop XsLite.desktop plan.desktop  	    abiword.desktop Dia.desktop Gnome-Cal.desktop  	    Gnome-Card.desktop GnomeTimeTracker.desktop Gnumeric.desktop  	    Guppi.desktop Ical.desktop lyx.desktop netscapeaddressbook.desktop  	    scribus.desktop pybliographic.desktop xpdf.desktop  	    acroread.desktop WordPerfect.desktop WordPerfect2000.desktop  	    mrproject.desktop gnucash.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kappfinder/apps/Office )
