=== debian/changelog ===
kdebase (4:4.4.5-2) unstable; urgency=high

  * Point debian/control Vcs fields to the new Git repository.
  * Remove '| kdestop' from libkonq5 Depends. Just confuses apt pointlessly.
  * Urgengy=high, important for squeeze release.

 -- Modestas Vainius <modax@debian.org>  Thu, 13 Jan 2011 21:38:54 +0200

kdebase (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update some descriptions.

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 01:47:18 +0200

kdebase (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:13 +0300

kdebase (4:4.4.3-1) unstable; urgency=low

  * New upstream release:
    - Konsole does not crash when closing a broken restored session.
      (Closes: #555831)
    - Konqueror does not crash when closing fast a tab. (Closes: #441298)

  [Martin Alfke]
  * Update of debian/copyright for kde 4.4

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on hurd-i386 i386 ia64 kfreebsd-amd64
    kfreebsd-i386 mips powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:50 +0300

kdebase (4:4.4.2-1) experimental; urgency=low

  * New upstream release (Closes: #568776):
    - does no more close the window when entering a new adblock filter and
      pressing Enter. (Closes: #450774)
    - Konqueror does not hangs after first letter of autocompletion at Google
      Custom Search sites. (Closes: #565270)
    - Konqueror now displays SHA1 digest for SSL certificates.
      (Closes: #525975)
    - Fixes random crashes in dolphin caused by Nepomuk D-Bus calls.
      (Closes: #558010)
    - Konsole now uses the more readable color scheme "Linux" by default.
      (Closes: #570907)
    - The nsplugins' copy of np sdk supports the SH4 architecture.
      (Closes: 562504)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL. (Closes: #569043)
  * libkdeinit4_*.so have been moved to private directory (Closes: #553007).
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Add a symbol file for libkonq5: based on 4.3.4, update for 4.4.1 on
    amd64/i386.
  * Rename libkonqsidebarplugin4 to libkonqsidebarplugin4a, it broke API/ABI
    without bumping a soname.
  * Rename libkonqsidebarplugin4-dev to libkonqsidebarplugin-dev, adjust its
    dependencies for libkonqsidebarplugin4a.
  * Add a symbol file for libkonqsidebarplugin4a: based on 4.4.1 amd64/i386.

  [ George Kiagiadakis ]
  * Refresh patches.
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Add build dependency on shared-desktop-ontologies.
  * Remove kdebase-workspace-dev build dependency as it doesn't
    seem to be used anymore.
  * Update installed files.
  * Recommend ruby in dolphin for the new get hot new stuff scripts.
  * Remove unused lintian overrides.

  [ Pino Toscano ]
  * Register the konqueror manpage as slave in the x-www-browser alternative.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 23:15:35 +0300

kdebase (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:05 +0200

kdebase (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Use DEB_HOST_ARCH_OS rather than DEB_BUILD_ARCH_OS in debian/rules

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 17:55:14 +0200

kdebase (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Downgrade konqueror-nsplugins from kdebase-apps Depends to Recommends.
  * Update install files.
  * Bump KDE build dependencies to KDE 4.3.1.
  * Rewrite Linux only installation hack and use BUILD_OS rather than HOST_OS.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 30 Aug 2009 11:32:51 +0300

kdebase (4:4.3.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Bump shlibs each new upstream version.

  +++ Changes by Pino Toscano:

  * Remove the separate kinfocenter.install.kfreebsd and instead install
    Linux-specific stuff using rules. This way there is a .install file less
    to maintain, and it works on hurd-i386 as well.
  * Recommend kinfocenter in the kdebase-apps metapackage. (Closes: #524115)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to Standards-Version: 3.8.3, no changes required.
  * Rename kdebase metapackage to kdebase-apps. kdebase metapackage is moved
    to meta-kde source and will be slightly different.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 22 Aug 2009 15:43:32 +0200

kdebase (4:4.3.0-1) unstable; urgency=low


